Subject: Ticket Assigned - Centrepoint online promotion for 30 aed talabat voucher not received
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 06 Mar 2022 09:10:21 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Centrepoint online promotion for 30 aed talabat voucher not received Order number 9558533728 haven’t received talabat 30 aed voucher. I am not
satisfied with my Centrepoint online purchase. I ordered on 22/2/22 and
collected on 23/2/22.
Why are you guys saying 3-4 working days? It has been 12 days from 22/2/22
till today means 8 working days. Are you fooling me or everyone? Are you
not giving me voucher or everyone else? I called your customer service
several times . Still you are saying ( you will receive today, you will
receive tomorrow) pls say the exact time I will receive it. I checked the
whole junk and spam mail.

           Pls do the needful

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3982238